#ifndef dSensor_h
#define dSensor_h

// Структура сенсоров
typedef struct {
  int childId; // ID сенсора для GateWay
  int ledPin; // PWM Порт
  int currLvl; // текущий уровень по дефаулту 50%
  int mem; // Флаг запоминания яркости 0/1
  int memLvl; // запоминание уровня
  MyMessage dimmerMsg;
  MyMessage lightMsg;
} dSensor;

dSensor registers[5] = {
  {0, 3, 0, 0, 50, {0, V_DIMMER}, {0, V_LIGHT}}, // PWM
  {1, 5, 0, 0, 50, {1, V_DIMMER}, {1, V_LIGHT}}, // PWM
  {2, 6, 0, 0, 50, {2, V_DIMMER}, {2, V_LIGHT}}, // PWM
  {3, 9, 0, 1, 50, {3, V_DIMMER}, {3, V_LIGHT}}, // PWM
  {4, 10, 0, 0, 50, {4, V_DIMMER}, {4, V_LIGHT}}, // PWM
};

#define numChannels sizeof(registers) / sizeof(registers[0])

// Структура выключателей
typedef struct {
  int childId; // ID сенсора для GateWay
  int dataPin; // Порт выключателя
  int pwmChild; // Привязка к управляемым PWM портам
  int oldVal; // текущий уровень
  Bounce debouncer;
  MyMessage msg; // Change to V_LIGHT if you use S_LIGHT in presentation below
} dSwitch;

dSwitch switches[4] = {
  {5, 0, 0, -1,  Bounce(), {5, V_TRIPPED}}, // Switch 
  {6, 1, 1, -1,  Bounce(), {6, V_TRIPPED}}, // Switch
  {7, 2, 2, -1,  Bounce(), {7, V_TRIPPED}}, // Switch
  {8, 4, 3, -1,  Bounce(), {8, V_TRIPPED}}, // Switch
};

#define numSwitches sizeof(switches) / sizeof(switches[0])

#endif
